com.holonplatform.core.query

## Interface QueryAggregation

- All Superinterfaces:
    Expression, Serializable

      public interface QueryAggregation
      extends Expression, Serializable

  Represents a query results aggregation clause.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `QueryAggregation.Builder` `QueryAggregation` builder.
    `static interface` | `QueryAggregation.QueryAggregationSupport<C extends QueryAggregation.QueryAggregationSupport<C>>` Interface implemented by classes which support `QueryAggregation`s setting.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryAggregation.Builder` | `builder()` Get a builder to create a `QueryAggregation`.
    `static QueryAggregation` | `create(List<Path> paths)` Create a `QueryAggregation` using given aggregation paths
    `static QueryAggregation` | `create(Path<?>... paths)` Create a `QueryAggregation` using given aggregation paths
    `Optional<QueryFilter>` | `getAggregationFilter()` Get the optional restrictions to add to query aggregation, expressed as a `QueryFilter` clause.
    `Path<?>[]` | `getAggregationPaths()` Get the paths for wich to aggregate the query results.

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getAggregationPaths

          Path<?>[] getAggregationPaths()

      Get the paths for wich to aggregate the query results.
      Returns:
        Aggregation paths

    - #### getAggregationFilter

          Optional<QueryFilter> getAggregationFilter()

      Get the optional restrictions to add to query aggregation, expressed as a `QueryFilter` clause.
      Returns:
        Optional additional query restriction

    - #### create

          static QueryAggregation create(Path<?>... paths)

      Create a `QueryAggregation` using given aggregation paths
      Parameters:
        `paths` - Aggregation paths
      Returns:
        A new `QueryAggregation` on given paths

    - #### create

          static QueryAggregation create(List<Path> paths)

      Create a `QueryAggregation` using given aggregation paths
      Parameters:
        `paths` - Aggregation paths
      Returns:
        A new `QueryAggregation` on given paths

    - #### builder

          static QueryAggregation.Builder builder()

      Get a builder to create a `QueryAggregation`.
      Returns:
        `QueryAggregation` builder

Copyright © 2019 The Holon Platform. All rights reserved.